Summary: A GNU set of database routines which use extensible hashing.
Name: gdbm
Version: 1.8.3
Release: 8tr
Source: ftp://ftp.gnu.org/gnu/gdbm/gdbm-%{version}.tar.gz
Patch0: gdbm-1.8.0-jbj.patch
Patch1:	gdbm-1.8.0-cflags.patch
License: GPL
Group: Trustix Official
Prefix: %{_prefix}
BuildRequires: texinfo
Buildroot: /var/tmp/%{name}-root

%description
Gdbm is a GNU database indexing library, including routines
which use extensible hashing.  Gdbm works in a similar way to standard UNIX
dbm routines.  Gdbm is useful for developers who write C applications and
need access to a simple and efficient database or who are building C
applications which will use such a database.

If you're a C developer and your programs need access to simple database
routines, you should install gdbm.  You'll also need to install gdbm-devel.

%package devel
Summary: Development libraries and header files for the gdbm library.
Group: Trustix Official
Prereq: htmlinfo
Requires: gdbm

%description devel
Gdbm-devel contains the development libraries and header files
for gdbm, the GNU database system.  These libraries and header files are
necessary if you plan to do development using the gdbm database.

Install gdbm-devel if you are developing C programs which will use the
gdbm database library.  You'll also need to install the gdbm package.

%package compat 
Summary: Gdbm-compat library files
Group: Trustix Official
Prereq: htmlinfo
Requires: gdbm

%description compat 
Provides gdbm-compat library files

%prep
%setup -q
%patch0 -p 1
%patch1 -p1

%build

# XXX --includedir dinna work
#%%configure
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make includedir=%{_prefix}/include/gdbm
makeinfo --html --no-split gdbm.texinfo

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/usr/share/html/gdbm

# XXX --includedir dinna work
make install install-compat \
    prefix=${RPM_BUILD_ROOT}%{_prefix} \
    includedir=${RPM_BUILD_ROOT}%{_prefix}/include/gdbm \
    man3dir=${RPM_BUILD_ROOT}%{_prefix}/share/man/man3 \
    infodir=${RPM_BUILD_ROOT}%{_prefix}/share/info

rm -Rf $RPM_BUILD_ROOT%{_prefix}/share/info
install -m 644 gdbm.html $RPM_BUILD_ROOT/usr/share/html/gdbm/

( cd $RPM_BUILD_ROOT
  ln -sf gdbm/gdbm.h .%{_prefix}/include/gdbm.h
#  ln -sf libgdbm.so.2.0.0 .%{_prefix}/lib/libgdbm.so
)

%post -p /sbin/ldconfig

%post devel
/usr/sbin/htmlinfo_update.sh

%postun -p /sbin/ldconfig

%postun devel
/usr/sbin/htmlinfo_update.sh

%files
%defattr(-,root,root,0755)
%{_prefix}/lib/libgdbm.so.*

%files devel
%defattr(-,root,root,0755)
%{_prefix}/lib/libgdbm.so
%{_prefix}/lib/libgdbm.la
%{_prefix}/lib/libgdbm.a
%{_prefix}/include/*
%dir %{_prefix}/share/html/gdbm
%{_prefix}/share/html/gdbm/gdbm.html
%{_prefix}/share/man/man3/*

%files compat 
%{_prefix}/lib/libgdbm_compat*

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Wed Mar 16 2005 Lakshmi Dinamoni <lakshmi at comodo dot com> 1.8.3-6tr
- Fixed unpackaged files

* Wed Mar 16 2005 Lakshmi Dinamoni <lakshmi at comodo dot com> 1.8.3-5tr
- Add cflags.patch fix flag options & variables specified in Makefile.in

* Mon Dec 15 2003 Erlend Midttun <erlendbm at trustix dot org> 1.8.3-2tr
- Now with gdbm.h as well.

* Fri Dec  5 2003 Erlend Midttun <erlendbm at trustix dot org> 1.8.3-1tr
- New upstream.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.8.0-8tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 1.8.0-7em
- Rebuilt against glibc 2.3.2.

* Fri Oct 25 2002 Christian H. Toldnes <christht@trusstix.com> 1.8.0-6ct
- Replaced info stuff with htmlinfo

* Tue Jul 23 2002 Daniel Meyer <eagle at trustix dot org> 1.8.0-5dm
- rebuild for Trustix Secure Linux 2.0

* Mon Jan 24 2000 Tore Olsen <toreo at trustix dot com>
- moved man and info directories to /usr/share for FHS compliance.

* Tue Aug 10 1999 Jeff Johnson <jbj@redhat.com>
- make sure created database header is initialized (#4457).

* Tue Jun  1 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.8.0.
- repackage to include /usr/include/gdbm/*dbm.h compatibility includes.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 19)

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- gdbm-devel moved to Development/Libraries

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- buildroot and built for Manhattan

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Thu Jun 12 1997 Erik Troan <ewt@redhat.com>
- built against glibc
